diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingContext.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingContext.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingContext.java	Fri Mar 26 09:05:32 2010 +0100
@@ -30,20 +30,22 @@
  * The org.nuxeo.runtime.model.Adaptable interface may be used to add adapting
  * capabilities to context objects. This may be used to retrieve adapters to
  * other type of contexts (like the freemarker one).
- *
+ * 
  * @author <a href="mailto:dm@nuxeo.com">Dragos Mihalache</a>
- *
+ * 
  */
-public interface RenderingContext extends Map<String, Object>, Adaptable, Serializable {
+public interface RenderingContext extends Map<String, Object>, Adaptable,
+        Serializable {
 
     /**
      * Either or not this rendering context accepts the given engine.
      * <p>
      * If the engione is not acepted it will be ignored by the rendering service
      * when processing this context
-     *
+     * 
      * @param engine the engine to test
-     * @return true if the engine is eligible to process this context, false otherwise
+     * @return true if the engine is eligible to process this context, false
+     *         otherwise
      */
     boolean accept(RenderingEngine engine);
 
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingEngine.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingEngine.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingEngine.java	Fri Mar 26 09:05:32 2010 +0100
@@ -20,9 +20,9 @@
 
 /**
  * A RenderingEngine will be instantiated by the RenderingService according with
- * the descriptor specified for it. The specific implementation of a RenderingEngine
- * must be in classpath for it to be instantiated and used.
- *
+ * the descriptor specified for it. The specific implementation of a
+ * RenderingEngine must be in classpath for it to be instantiated and used.
+ * 
  * @author <a href="mailto:dm@nuxeo.com">Dragos Mihalache</a>
  */
 public interface RenderingEngine {
@@ -32,9 +32,9 @@
     /**
      * Processes the given context and return a rendering result.
      * <p>
-     * The processing must never return null. If some error occurs it must
-     * throw an exception.
-     *
+     * The processing must never return null. If some error occurs it must throw
+     * an exception.
+     * 
      * @param ctx the context to process
      */
     RenderingResult process(RenderingContext ctx) throws RenderingException;
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingResult.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingResult.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/RenderingResult.java	Fri Mar 26 09:05:32 2010 +0100
@@ -24,39 +24,39 @@
 
 import org.nuxeo.runtime.model.Adaptable;
 
-
 /**
- * A rendering result is an object that wraps a rendering result and give several methods
- * to retrieve the rendering outcome.
+ * A rendering result is an object that wraps a rendering result and give
+ * several methods to retrieve the rendering outcome.
  * <p>
  * The default one is to expose the rendering outcome as a stream.
  * <p>
- * Specialized results may be retrieved using {@link Adaptable#getAdapter(Class)} method
- *
+ * Specialized results may be retrieved using
+ * {@link Adaptable#getAdapter(Class)} method
+ * 
  * @author <a href="mailto:bs@nuxeo.com">Bogdan Stefanescu</a>
  * @author <a href="mailto:dm@nuxeo.com">Dragos Mihalache</a>
  */
 public interface RenderingResult extends Adaptable, Serializable {
 
     /**
-     * Gets the format name of the result. This can be use to identify the
-     * type of the result. The format name can be a mime type or any
+     * Gets the format name of the result. This can be use to identify the type
+     * of the result. The format name can be a mime type or any
      * application-defined format.
-     *
+     * 
      * @return the format name
      */
     String getFormatName();
 
     /**
      * Gets the rendering result as a stream.
-     *
+     * 
      * @return the stream or null if the outcome cannot be expressed as a stream
      */
     InputStream getStream();
 
     /**
      * Gets the rendering result object.
-     *
+     * 
      * @return the rendering result. must never be null
      */
     Object getOutcome();
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/DefaultRenderingContext.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/DefaultRenderingContext.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/DefaultRenderingContext.java	Fri Mar 26 09:05:32 2010 +0100
@@ -28,12 +28,12 @@
  * Abstract RenderingContext subclass that adds capabilities of storing a
  * DocumentModel and retrieve RenderingConfig associated with the current set
  * DocumentModel.
- *
+ * 
  * @author <a href="mailto:dm@nuxeo.com">Dragos Mihalache</a>
- *
+ * 
  */
-public class DefaultRenderingContext extends HashMap<String, Object>
-        implements RenderingContext {
+public class DefaultRenderingContext extends HashMap<String, Object> implements
+        RenderingContext {
 
     private static final long serialVersionUID = -5442029141468819238L;
 
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/RenderingEngineDescriptor.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/RenderingEngineDescriptor.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/RenderingEngineDescriptor.java	Fri Mar 26 09:05:32 2010 +0100
@@ -24,11 +24,13 @@
 /**
  * Rendering Engine Descriptor objects instantiated with configuration from
  * contributions like:
- *
+ * 
  * <pre>
  *  &lt;engine name=”the_format_name” class=”rendering_engine_impl_class”/&gt;
- * </pre>. Also instantiate rendering engine as defined in contribution.
- *
+ * </pre>
+ * 
+ * . Also instantiate rendering engine as defined in contribution.
+ * 
  * @author <a href="mailto:dm@nuxeo.com">Dragos Mihalache</a>
  */
 public class RenderingEngineDescriptor {
@@ -51,8 +53,8 @@
         return klass;
     }
 
-    public RenderingEngine newInstance()
-            throws InstantiationException, IllegalAccessException {
+    public RenderingEngine newInstance() throws InstantiationException,
+            IllegalAccessException {
         return klass.newInstance();
     }
 
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/RenderingServiceImpl.java
--- a/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/RenderingServiceImpl.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/main/java/org/nuxeo/ecm/platform/rendering/impl/RenderingServiceImpl.java	Fri Mar 26 09:05:32 2010 +0100
@@ -36,7 +36,7 @@
 
 /**
  * Implementation of RenderingService
- *
+ * 
  * @author <a href="mailto:dm@nuxeo.com">Dragos Mihalache</a>
  */
 public class RenderingServiceImpl extends DefaultComponent implements
@@ -92,7 +92,8 @@
                 if (result != null) {
                     ret.add(result);
                 } else if (log.isDebugEnabled()) {
-                    log.debug("rendering ignored by the engine "+ engine.getFormatName());
+                    log.debug("rendering ignored by the engine "
+                            + engine.getFormatName());
                 }
             }
         }
@@ -102,8 +103,8 @@
     public void registerEngine(RenderingEngine engine) {
         RenderingEngine existing = engines.put(engine.getFormatName(), engine);
         if (existing != null) {
-            log.debug("Replaced existing RenderingEngine " +
-                    engine.getFormatName());
+            log.debug("Replaced existing RenderingEngine "
+                    + engine.getFormatName());
         } else if (log.isDebugEnabled()) {
             log.debug("Registered RenderingEngine " + engine.getFormatName());
         }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-notification-core/src/test/java/org/nuxeo/ecm/platform/ec/notification/NotificationEventListenerTest.java
--- a/nuxeo-platform-notification-core/src/test/java/org/nuxeo/ecm/platform/ec/notification/NotificationEventListenerTest.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-notification-core/src/test/java/org/nuxeo/ecm/platform/ec/notification/NotificationEventListenerTest.java	Fri Mar 26 09:05:32 2010 +0100
@@ -33,7 +33,7 @@
 
 /**
  * Simple test Case for DocUIDGeneratorListener
- *
+ * 
  * @author Julien Thimonier <jt@nuxeo.com>
  */
 public class NotificationEventListenerTest extends RepositoryOSGITestCase {
@@ -63,14 +63,12 @@
 
         // Injection of the EmailHelper Mock to track mails sending
         EventService eventService = Framework.getService(EventService.class);
-        List<PostCommitEventListener> listeners = eventService
-                .getPostCommitEventListeners();
+        List<PostCommitEventListener> listeners = eventService.getPostCommitEventListeners();
 
         for (PostCommitEventListener postCommitEventListener : listeners) {
             if (postCommitEventListener.getClass().equals(
                     NotificationEventListener.class)) {
-                ((NotificationEventListener) postCommitEventListener)
-                        .setEmailHelper(emailHelperMock);
+                ((NotificationEventListener) postCommitEventListener).setEmailHelper(emailHelperMock);
             }
         }
         log.info("setup Finnished");
@@ -102,26 +100,28 @@
     }
 
     public void testListener() throws ClientException {
-//        EventService eventService = Framework.getLocalService(EventService.class);
-//        PlacefulServiceImpl placefulServiceImpl = (PlacefulServiceImpl) Framework.getLocalService(PlacefulService.class);
-//        DocumentModel noteDoc = createNoteDocument();
-//        // Record notification
-//        UserSubscription userSubscription = new UserSubscription(
-//                "Workflow Change", "user:"
-//                        + getCoreSession().getPrincipal().getName(),
-//                noteDoc.getId());
-//        placefulServiceImpl.setAnnotation(userSubscription);
-//
-//        // Trigger notification
-//        DocumentEventContext ctx = new DocumentEventContext(getCoreSession(),
-//                getCoreSession().getPrincipal(), noteDoc);
-//        ctx.setProperty("recipients", new Object[] { "jt@nuxeo.com" });
-//        ctx.getProperties().put("comment", "RAS");
-//        eventService.fireEvent(ctx.newEvent("workflowAbandoned"));
-//        getCoreSession().save();
-//        waitForAsyncExec();
-//        // Check that at least one email has been sending
-//        assertTrue(emailHelperMock.getCompteur() > 0);
+        // EventService eventService =
+        // Framework.getLocalService(EventService.class);
+        // PlacefulServiceImpl placefulServiceImpl = (PlacefulServiceImpl)
+        // Framework.getLocalService(PlacefulService.class);
+        // DocumentModel noteDoc = createNoteDocument();
+        // // Record notification
+        // UserSubscription userSubscription = new UserSubscription(
+        // "Workflow Change", "user:"
+        // + getCoreSession().getPrincipal().getName(),
+        // noteDoc.getId());
+        // placefulServiceImpl.setAnnotation(userSubscription);
+        //
+        // // Trigger notification
+        // DocumentEventContext ctx = new DocumentEventContext(getCoreSession(),
+        // getCoreSession().getPrincipal(), noteDoc);
+        // ctx.setProperty("recipients", new Object[] { "jt@nuxeo.com" });
+        // ctx.getProperties().put("comment", "RAS");
+        // eventService.fireEvent(ctx.newEvent("workflowAbandoned"));
+        // getCoreSession().save();
+        // waitForAsyncExec();
+        // // Check that at least one email has been sending
+        // assertTrue(emailHelperMock.getCompteur() > 0);
     }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-alert-core/src/main/java/org/nuxeo/ecm/usersettings/alert/core/AlertSettingsProvider.java
--- a/nuxeo-platform-usersettings-alert-core/src/main/java/org/nuxeo/ecm/usersettings/alert/core/AlertSettingsProvider.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-alert-core/src/main/java/org/nuxeo/ecm/usersettings/alert/core/AlertSettingsProvider.java	Fri Mar 26 09:05:32 2010 +0100
@@ -20,19 +20,20 @@
 
     private static final Log log = LogFactory.getLog(AlertSettingsProvider.class);
 
-    public DocumentModelList getUserSettings(DocumentModel userWorkspace, CoreSession coreSession, String userName)
-	    throws ClientException {
+    public DocumentModelList getUserSettings(DocumentModel userWorkspace,
+            CoreSession coreSession, String userName) throws ClientException {
 
-	DocumentModelList list = coreSession.getChildren(userWorkspace.getRef(), "AlertSettings");
+        DocumentModelList list = coreSession.getChildren(
+                userWorkspace.getRef(), "AlertSettings");
 
-	if (list.size() > 0)
-	    return list;
+        if (list.size() > 0)
+            return list;
 
-	DocumentModelListImpl result = new DocumentModelListImpl();
+        DocumentModelListImpl result = new DocumentModelListImpl();
 
-	result.add(getUserSettings(userName, coreSession, userWorkspace));
+        result.add(getUserSettings(userName, coreSession, userWorkspace));
 
-	return result;
+        return result;
 
     }
 
@@ -42,23 +43,26 @@
      * @param userName The user we want to retrieve the preferences for
      * @param userCoreSession Current CoreSession
      * @param context Document context
-     * @param userWorkspace The user workspace in which the preferences document is created
+     * @param userWorkspace The user workspace in which the preferences document
+     *            is created
      * @return The user preferences document
      * @throws ClientException
      */
 
-    protected DocumentModel findUserSettings(String userName, CoreSession userCoreSession, DocumentModel userWorkspace)
-	    throws ClientException {
+    protected DocumentModel findUserSettings(String userName,
+            CoreSession userCoreSession, DocumentModel userWorkspace)
+            throws ClientException {
 
-	PathRef docRef = new PathRef(userWorkspace.getPathAsString(), AlertSettingsConstants.DOC_PREFIX + userName);
+        PathRef docRef = new PathRef(userWorkspace.getPathAsString(),
+                AlertSettingsConstants.DOC_PREFIX + userName);
 
-	DocumentModel result = null;
+        DocumentModel result = null;
 
-	if (userCoreSession.exists(docRef)) {
-	    result = userCoreSession.getDocument(docRef);
-	}
+        if (userCoreSession.exists(docRef)) {
+            result = userCoreSession.getDocument(docRef);
+        }
 
-	return result;
+        return result;
 
     }
 
@@ -74,75 +78,80 @@
      * 
      */
 
-    public DocumentModel getUserSettings(String userName, CoreSession userCoreSession, DocumentModel userWorkspace)
-	    throws ClientException {
+    public DocumentModel getUserSettings(String userName,
+            CoreSession userCoreSession, DocumentModel userWorkspace)
+            throws ClientException {
 
-	DocumentModel currentUserPreferences = findUserSettings(userName, userCoreSession, userWorkspace);
+        DocumentModel currentUserPreferences = findUserSettings(userName,
+                userCoreSession, userWorkspace);
 
-	if (currentUserPreferences == null)
-	    currentUserPreferences = createUserSettings(userCoreSession, userName, userWorkspace);
+        if (currentUserPreferences == null)
+            currentUserPreferences = createUserSettings(userCoreSession,
+                    userName, userWorkspace);
 
-	return currentUserPreferences;
+        return currentUserPreferences;
 
     }
 
-    protected DocumentModel createUserSettings(CoreSession userCoreSession, String userName, DocumentModel userWorkspace)
-	    throws ClientException {
+    protected DocumentModel createUserSettings(CoreSession userCoreSession,
+            String userName, DocumentModel userWorkspace)
+            throws ClientException {
 
-	log.info(String.format("Creating user settings document for user %s in %s", userName, userWorkspace.getPathAsString()));
+        log.info(String.format(
+                "Creating user settings document for user %s in %s", userName,
+                userWorkspace.getPathAsString()));
 
-	String parent = userWorkspace.getPathAsString();
+        String parent = userWorkspace.getPathAsString();
 
-	DocumentModel doc = userCoreSession.createDocumentModel(parent, AlertSettingsConstants.DOC_PREFIX + userName,
-		"AlertSettings");
+        DocumentModel doc = userCoreSession.createDocumentModel(parent,
+                AlertSettingsConstants.DOC_PREFIX + userName, "AlertSettings");
 
-	String title = getSafeMessage(AlertSettingsConstants.TITLE);
-	String description = getSafeMessage(AlertSettingsConstants.DESCRIPTION);
+        String title = getSafeMessage(AlertSettingsConstants.TITLE);
+        String description = getSafeMessage(AlertSettingsConstants.DESCRIPTION);
 
-	doc.setProperty("dublincore", "title", title);
-	doc.setProperty("dublincore", "description", description);
-	doc.setProperty("usersettings", "user", userName);
+        doc.setProperty("dublincore", "title", title);
+        doc.setProperty("dublincore", "description", description);
+        doc.setProperty("usersettings", "user", userName);
 
-	AlertSettingsWrapper w = new AlertSettingsWrapper(doc);
+        AlertSettingsWrapper w = new AlertSettingsWrapper(doc);
 
-	w.setNotificationPolicy(AlertSettingsType.NOTIFICATION_POLICY_BOTH);
-	w.setSummaryFrequency(AlertSettingsType.SUMMARY_FREQUENCY_DAILY);
-	w.setAlertDeliveryChannel(AlertSettingsType.ALERT_CHANNEL_HTML_MAIL);
-	w.setIncludeFutureTasks(true);
-	w.setIncludeFutureTasksDelay(7L);
-	w.setIncludeTasksWithoutDueDate(false);
+        w.setNotificationPolicy(AlertSettingsType.NOTIFICATION_POLICY_BOTH);
+        w.setSummaryFrequency(AlertSettingsType.SUMMARY_FREQUENCY_DAILY);
+        w.setAlertDeliveryChannel(AlertSettingsType.ALERT_CHANNEL_HTML_MAIL);
+        w.setIncludeFutureTasks(true);
+        w.setIncludeFutureTasksDelay(7L);
+        w.setIncludeTasksWithoutDueDate(false);
 
-	doc = userCoreSession.createDocument(doc);
+        doc = userCoreSession.createDocument(doc);
 
-	userCoreSession.save();
+        userCoreSession.save();
 
-	return doc;
+        return doc;
 
     }
 
     private String getSafeMessage(String key) {
-	try {
-	    return Messages.instance().get(key);
-	}
-	catch(Exception e) {
-	    return key;
-	}
+        try {
+            return Messages.instance().get(key);
+        } catch (Exception e) {
+            return key;
+        }
     }
 
     public Boolean isTypeSupported(String type) {
 
-	if ("AlertSettings".equals(type))
-	    return true;
+        if ("AlertSettings".equals(type))
+            return true;
 
-	return false;
+        return false;
     }
 
     public Boolean isTypeSupported(DocumentType type) {
 
-	if ("AlertSettings".equals(type.getName()))
-	    return true;
+        if ("AlertSettings".equals(type.getName()))
+            return true;
 
-	return false;
+        return false;
     }
 
 }
diff -r e279cd5bf8c7 -r c1cc5ea70ee2 nuxeo-platform-usersettings-alert-core/src/test/java/org/nuxeo/ecm/usersettings/alert/core/RepositoryOSGITestCase.java
--- a/nuxeo-platform-usersettings-alert-core/src/test/java/org/nuxeo/ecm/usersettings/alert/core/RepositoryOSGITestCase.java	Fri Mar 26 08:07:51 2010 +0100
+++ b/nuxeo-platform-usersettings-alert-core/src/test/java/org/nuxeo/ecm/usersettings/alert/core/RepositoryOSGITestCase.java	Fri Mar 26 09:05:32 2010 +0100
@@ -52,156 +52,157 @@
     public static final String REPOSITORY_NAME = "demo";
 
     public static final String DOMAIN_NAME = "demo-domain";
-    
-    
+
     protected Repository repository;
 
     protected CoreSession coreSession;
 
     protected DocumentModel rootWorkspace = null;
-    
+
     protected DocumentModel domain = null;
 
     protected RepositoryOSGITestCase() {
     }
 
     protected RepositoryOSGITestCase(String name) {
-	super(name);
+        super(name);
     }
 
     protected void undeployBundle(String name) throws BundleException {
-	osgi.getRegistry().getBundle(name).uninstall();
+        osgi.getRegistry().getBundle(name).uninstall();
     }
-    
-    
+
     @Override
     public void setUp() throws Exception {
-	super.setUp();
-	
-	deployBundle("org.nuxeo.ecm.core.schema");
-	deployBundle("org.nuxeo.ecm.core.api");
-	deployBundle("org.nuxeo.ecm.core.event");
-	deployBundle("org.nuxeo.ecm.core");
-	deployBundle("org.nuxeo.ecm.core.jcr");
-	
+        super.setUp();
+
+        deployBundle("org.nuxeo.ecm.core.schema");
+        deployBundle("org.nuxeo.ecm.core.api");
+        deployBundle("org.nuxeo.ecm.core.event");
+        deployBundle("org.nuxeo.ecm.core");
+        deployBundle("org.nuxeo.ecm.core.jcr");
+
     }
 
     @Override
     public void tearDown() throws Exception {
-	
-	Framework.getLocalService(EventService.class).waitForAsyncCompletion();
-	releaseCoreSession();
-	releaseRepository();
-	
-	deployBundle("org.nuxeo.ecm.core.jcr");
-	deployBundle("org.nuxeo.ecm.core");
-	deployBundle("org.nuxeo.ecm.core.event");
-	deployBundle("org.nuxeo.ecm.core.api");
-	deployBundle("org.nuxeo.ecm.core.schema");
 
-	super.tearDown();
+        Framework.getLocalService(EventService.class).waitForAsyncCompletion();
+        releaseCoreSession();
+        releaseRepository();
+
+        deployBundle("org.nuxeo.ecm.core.jcr");
+        deployBundle("org.nuxeo.ecm.core");
+        deployBundle("org.nuxeo.ecm.core.event");
+        deployBundle("org.nuxeo.ecm.core.api");
+        deployBundle("org.nuxeo.ecm.core.schema");
+
+        super.tearDown();
     }
 
     protected void openRepositoryAsUser(String userName) throws Exception {
-	if (repository == null) {
-	    // the repository should be deployed the last
-	    // after any other bundle that is doctypes
-	    // this is nuxeo-core-jcr-connector-test
-	    repositoryDeploy();
-	    repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(REPOSITORY_NAME);
-	}
-	openCoreSession(userName);
+        if (repository == null) {
+            // the repository should be deployed the last
+            // after any other bundle that is doctypes
+            // this is nuxeo-core-jcr-connector-test
+            repositoryDeploy();
+            repository = NXCore.getRepositoryService().getRepositoryManager().getRepository(
+                    REPOSITORY_NAME);
+        }
+        openCoreSession(userName);
     }
 
     protected void closeRepository() throws Exception {
-	releaseCoreSession();
-	releaseRepository();
-	repositoryUndeploy();
+        releaseCoreSession();
+        releaseRepository();
+        repositoryUndeploy();
     }
-    
+
     protected void repositoryDeploy() throws Exception {
-	if (!isRepositoryBundleDeployed) {
-	    deployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = true;
-	}
+        if (!isRepositoryBundleDeployed) {
+            deployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = true;
+        }
     }
 
     protected void repositoryUndeploy() throws Exception {
-	if (isRepositoryBundleDeployed) {
-	    undeployBundle("org.nuxeo.ecm.core.jcr-connector");
-	    isRepositoryBundleDeployed = false;
-	}
+        if (isRepositoryBundleDeployed) {
+            undeployBundle("org.nuxeo.ecm.core.jcr-connector");
+            isRepositoryBundleDeployed = false;
+        }
     }
 
-
     public void openRepository() throws Exception {
-	openRepositoryAsUser("Administrator");
+        openRepositoryAsUser("Administrator");
     }
 
     public void openRepositoryWithSystemPrivileges() throws Exception {
-	openRepositoryAsUser(null);
+        openRepositoryAsUser(null);
     }
 
     public CoreSession getCoreSession() {
-	return coreSession;
+        return coreSession;
     }
 
     protected Repository getRepository() {
-	return repository;
+        return repository;
     }
 
     protected DocumentModel getRootWorkspace() throws ClientException {
-	if (rootWorkspace == null)
-	    createRootWorkspace();
-	return rootWorkspace;
+        if (rootWorkspace == null)
+            createRootWorkspace();
+        return rootWorkspace;
     }
 
     private void createRootWorkspace() throws ClientException {
-	domain = coreSession.createDocumentModel("/", RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
-	domain = coreSession.createDocument(domain);
-	assertNotNull(domain);
-	rootWorkspace = coreSession.createDocumentModel(domain.getPathAsString(), RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
-	assertNotNull(rootWorkspace);
-	rootWorkspace = coreSession.createDocument(rootWorkspace);
-	coreSession.save();
+        domain = coreSession.createDocumentModel("/",
+                RepositoryOSGITestCase.DOMAIN_NAME, "Domain");
+        domain = coreSession.createDocument(domain);
+        assertNotNull(domain);
+        rootWorkspace = coreSession.createDocumentModel(
+                domain.getPathAsString(),
+                RepositoryOSGITestCase.ROOT_WORKSPACE_NAME, "Workspace");
+        assertNotNull(rootWorkspace);
+        rootWorkspace = coreSession.createDocument(rootWorkspace);
+        coreSession.save();
     }
 
     protected void openCoreSession(String userName) throws ClientException {
-	Map<String, Serializable> ctx = new HashMap<String, Serializable>();
-	ctx.put("username", userName);
-	coreSession = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
-	assertNotNull(coreSession);
+        Map<String, Serializable> ctx = new HashMap<String, Serializable>();
+        ctx.put("username", userName);
+        coreSession = CoreInstance.getInstance().open(REPOSITORY_NAME, ctx);
+        assertNotNull(coreSession);
     }
 
     public void changeUser(String newUser) throws ClientException {
-	releaseCoreSession();
-	openCoreSession(newUser);
+        releaseCoreSession();
+        openCoreSession(newUser);
     }
 
     public void releaseRepository() {
-	if (repository != null) {
-	    repository.shutdown();
-	    repository = null;
-	}
+        if (repository != null) {
+            repository.shutdown();
+            repository = null;
+        }
     }
 
     public void releaseCoreSession() {
-	if (coreSession != null) {
-	    CoreInstance.getInstance().close(coreSession);
-	    coreSession = null;
-	}
+        if (coreSession != null) {
+            CoreInstance.getInstance().close(coreSession);
+            coreSession = null;
+        }
     }
 
     protected Session getSession() throws DocumentException {
-	return repository.getSession(null);
+        return repository.getSession(null);
     }
 
     protected EventServiceImpl eventService;
 
     protected void waitForEventsDispatched() {
-	if (eventService == null) {
-	    eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
-	}
-	eventService.waitForAsyncCompletion();
+        if (eventService == null) {
+            eventService = (EventServiceImpl) Framework.getLocalService(EventService.class);
+        }
+        eventService.waitForAsyncCompletion();
     }
 }
